<?php

require_once "../app/model/db.class.php";
require_once '../app/model/rangos.php';


function descrip($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

 function descrip_cur($tabla,$cod,$cod2){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$cod2."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

if($_REQUEST['accion']=='consultar')
    {
        $grado=$_REQUEST['grado'];
        $grupo=$_REQUEST['grupo'];
        $asign=$_REQUEST['asign'];

        $obj=new database();
        $obj->conectar(); $obj->consulta("set names 'utf8'");
        

        //         TIPOS DE APROBACION
        // 1 ==>  Aprobo. No perdio Asignaturas
        // 2 ==>  Habilita 1 Asignatura
        // 3 ==>  Habilita 2 Asignaturas
        // 4 ==>  Reprobo - perdio 3 o mas Asignaturas

        $result=$obj->consulta("select notas_finales_asign.codigo, notas_finales_asign.grado, notas_finales_asign.grupo, notas_finales_asign.asignatura,
                                notas_finales_asign.definitiva,notas_finales_asign.habilitacion,notas_finales_asign.rehabilitacion, alumnos.p_apellido,
                                alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre from alumnos inner join notas_finales_asign on alumnos.codigo = notas_finales_asign.codigo
                                where notas_finales_asign.grado='".$grado."' and notas_finales_asign.grupo='".$grupo."' and notas_finales_asign.asignatura='".$asign."' and notas_finales_asign.definitiva<3");
   
        $cadena="<center><br><table border='1' cellspacing='3' cellpadding='2' class='t_info'>";

        $cadena.="<tr>
                     <td align='center'><FONT SIZE='2' COLOR='#B40404'>GRADO      :<b>".descrip('grados',$grado)."</b></FONT></td>
                     <td align='center' colspan='2'><FONT SIZE='2' COLOR='#B40404'>GRUPO      :<b>".descrip_cur('cursos',$grupo,$grado)."</b></FONT></td>
                     <td align='center' colspan='3'><FONT SIZE='2' COLOR='#B40404'>ASIGNATURA :<b>".descrip('catalogo',$asign)."</b></FONT></td>
                     
                 </tr>";

        $cadena.="<tr><td colspan='6'>.</td></tr>";
        $cadena.="<tr style='font-weight:bold;font-size: 11px;text-align:center;'>";
        
        $cadena.="<td> CODIGO </td>";
        $cadena.="<td> ALUMNO </td>";
        $cadena.="<td> NOTA </td>";
        $cadena.="<td> HABILITACI&Oacute;N </td>";
        $cadena.="<td> RE-HABILITACI&Oacute;N </td>";
        $cadena.="<td> GRABAR </td>";
        
        $cadena.="</tr>";


        if($obj->numero_de_filas($result))
        {

            while ( $tsArray = $obj->fetch_assoc($result) ){
            $data[] = $tsArray;
            }

            for($i=0;$i<count($data);$i++){

                //------ Busca en la Tabla Matriculas el TIPOS DE APROBACION 1 o 2 pendientes por habilitar ---------

                   $tipo = $obj->consulta("select tipo_aprobacion from matriculas where codigo='".$data[$i]['codigo']."'");
                   $fila = $obj->fetch_assoc($tipo);


                if (($fila['tipo_aprobacion']==2) ||($fila['tipo_aprobacion']==3)){

                     $cadena.="<tr onmouseover=\"this.style.backgroundColor='#89F2AC';\" onmouseout=\"this.style.backgroundColor='#BBE9EE';\">";

                     $cadena.="<td style='font-weight:bold;font-size: 11px;text-align:center;'>&nbsp;".$data[$i]['codigo']."&nbsp;</td>";
                     $cadena.="<td style='font-weight:bold;font-size: 11px;'>&nbsp;".$data[$i]['p_apellido']." ".$data[$i]['s_apellido']." ".$data[$i]['p_nombre']." ".$data[$i]['s_nombre']."&nbsp;</td>";
                     $cadena.="<td><INPUT readonly='readonly' style='font-weight:bold;text-align:center;' VALUE='".$data[$i]['definitiva']."' TYPE='TEXT' SIZE='3' NAME='N_".$data[$i]['codigo']."' ID='N_".$data[$i]['codigo']."');\"></td>";
                     $cadena.="<td align='center'><INPUT style='font-weight:bold;text-align:center;' VALUE='".$data[$i]['habilitacion']."' TYPE='TEXT' SIZE='3' NAME='H_".$data[$i]['codigo']."' ID='H_".$data[$i]['codigo']."' onclick=\"abrir_dialog('H_".$data[$i]['codigo']."');\"></td>";
                     $cadena.="<td align='center'><INPUT style='font-weight:bold;text-align:center;' VALUE='".$data[$i]['rehabilitacion']."' TYPE='TEXT' SIZE='3' NAME='R_".$data[$i]['codigo']."' ID='R_".$data[$i]['codigo']."' onclick=\"abrir_dialog('R_".$data[$i]['codigo']."');\"></td>";
         
                     $cadena.="<td align='center'> <img id='elemento2'  class='confirmar' src='../imagenes/diskette.jpg' height='25' width='30' alt='Grabar Habilitacion' title='Grabar Habilitacion'
                               onclick=\"grabar_habilitacion(".$data[$i]['codigo'].",".$asign.",'H_".$data[$i]['codigo']."','R_".$data[$i]['codigo']."');\"></td>";
                }

               
            }


        }else{

            $cadena.="<tr>";
            $cadena.="<td colspan='7' align='center'>No existen alumnos para Habilitar</td>";
            $cadena.="</tr>";
        }


    $cadena.="</table>";

    $cadena.="</center>";

    echo $cadena;
    }


    //-----------------------------------

    if($_REQUEST['accion']=='grabar'){

        $codigo=$_REQUEST['codigo'];
        $asign=$_REQUEST['asign'];
        $habil=$_REQUEST['habil'];
        $rehabil=$_REQUEST['rehabil'];

        $obj=new database();
        $obj->conectar(); $obj->consulta("set names 'utf8'");
        
     
        $result=$obj->consulta("UPDATE notas_finales_asign SET habilitacion='".$habil."',valor_habilitacion='".calculardef($habil).
                               "',rehabilitacion='".$rehabil."',valor_rehabilitacion='".calculardef($rehabil)."' where codigo='".$codigo."' and asignatura='".$asign."'");


        //---- Habilitaciones  (Resta Asignaturas)--------


        if ($habil>=3){
            
            $alumno = $obj->consulta("select * from matriculas where codigo='".$codigo."'");
            $alumno= $obj->fetch_assoc($alumno);

            if ($alumno['asign_perdidas']>0){
                $result=$obj->consulta("UPDATE matriculas SET asign_perdidas=(asign_perdidas-1) where codigo='".$codigo."'");
            }

            $alumno1 = $obj->consulta("select * from matriculas where codigo='".$codigo."'");
            $alumno1= $obj->fetch_assoc($alumno1);

            if ($alumno1['asign_perdidas']==0){
                $result=$obj->consulta("UPDATE matriculas SET promovido='SI',estado_final='APROBADO' where codigo='".$codigo."'");
            }


        }


        if ($rehabil>=3){

            $alumno = $obj->consulta("select * from matriculas where codigo='".$codigo."'");
            $alumno= $obj->fetch_assoc($alumno);
            
            if ($alumno['asign_perdidas']>0){
               $result=$obj->consulta("UPDATE matriculas SET asign_perdidas=(asign_perdidas-1) where codigo='".$codigo."'");
            }


           $alumno1 = $obj->consulta("select * from matriculas where codigo='".$codigo."'");
           $alumno1= $obj->fetch_assoc($alumno1);

            if ($alumno1['asign_perdidas']==0){
                $result=$obj->consulta("UPDATE matriculas SET promovido='SI',estado_final='APROBADO' where codigo='".$codigo."'");
            }
         }


        //---- Re-Habilitaciones--------


        echo "NOTA REGISTRADA";

    }
//         TIPOS DE APROBACION
// 1 ==>  Aprobo. No perdio Asignaturas
// 2 ==>  Habilita 1 Asignatura
// 3 ==>  Habilita 2 Asignaturas
// 4 ==>  Reprobo - perdio 3 o mas Asignaturas

?>
